Skip to main content
GET
GET Account

Authorizations

X-API-Key
string
header
required

Prophia API key — either an account key (grants admin level permissions) or a user key with the REST scope. Send it in the X-API-Key header, or equivalently as Authorization: Bearer <api-key>. JWTs are rejected on /rest endpoints with 401.

Path Parameters

accountId
string
required

Query Parameters

include
enum<string>[]

Optional collections to populate. Unknown keys are rejected with 400.

  • properties — adds the flat list of properties on this account.
    • Requires the READ:PROPERTY capability.
Available options:
properties

Response

OK

Representation of the customer account in Prophia. The top-most segment of the data model.

id
string

Account id (UUID) — All other request paths require account Id to scope the request.

accountName
string

Display name of the account.

apiName
string

URL-safe account name, used in the MCP endpoint path. Usually a hyphen delimited, lowercase version of the account name. Can be viewed in the Account Settings > API/MCP Config page in-app.

accountManager
string

The Prophia account manager assigned to this Account.

properties
object[]

The Account's Properties; populated only when include=properties is present in the request parameters.